# checkers.h File Reference

## Detailed Description

Routines for checking the correctness of algorithm results. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file checkers.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_CHECKERS

## Functions

- template<typename InputIterator, typename Comparator> bool __gnu_parallel::is_sorted (InputIterator begin, InputIterator end, Comparator comp=std::less< typename std::iterator_traits< InputIterator >::value_type >())
- template<typename InputIterator, typename Comparator> bool __gnu_parallel::is_sorted_failure (InputIterator begin, InputIterator end, InputIterator &first_failure, Comparator comp=std::less< typename std::iterator_traits< InputIterator >::value_type >())
- template<typename InputIterator, typename Comparator> bool __gnu_parallel::is_sorted_print_failures (InputIterator begin, InputIterator end, Comparator comp=std::less< typename std::iterator_traits< InputIterator >::value_type >())